<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">        
    <section class="content-header">
        <h1>
            Artikel
            <small>Manajemen Artikel</small>
        </h1>            
    </section>

    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <a href="<?php echo site_url('dashboard/tambah_artikel'); ?>" aria-label="Buat Artikel Baru" class="btn btn-sm btn-primary">
                    <i class="fa fa-plus"></i> Buat Artikel Baru
                </a>

                <br/><br/>

                <!-- Menampilkan pesan flashdata -->
                <?php if ($this->session->flashdata('success')): ?>
                    <div class="alert alert-success">
                        <?php echo $this->session->flashdata('success'); ?>
                    </div>
                <?php endif; ?>

                <?php if ($this->session->flashdata('error')): ?>
                    <div class="alert alert-danger">
                        <?php echo $this->session->flashdata('error'); ?>
                    </div>
                <?php endif; ?>

                <div class="box box-primary">
                    <div class="box-header">
                        <h3 class="box-title">Artikel</h3>
                    </div>
                    <div class="box-body">
                        <table id="table45" class="table table-striped table-bordered nowrap" style="width:100%">
                            <thead>
                                <tr>
                                    <th width="1%">NO</th>
                                    <th>TANGGAL</th>
                                    <th>ARTIKEL</th>
                                    <th>AUTHOR</th>
                                    <th>KATEGORI</th>
                                    <th width="10%">GAMBAR</th>
                                    <th>STATUS</th>
                                    <th width="10%">OPTION</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php 
                                $no = 1;
                                foreach($artikel as $k){ 
                                    // Filter jika level satker dan bukan milik satker yang login
                                    if($this->session->userdata('level') == "satker" && $this->session->userdata('satker_id') != $k->satker_id){
                                        continue;
                                    }
                                ?>
                                    <tr>
                                        <td><?php echo $no++; ?></td>
                                        <td><?php echo date('d/m/Y H:i', strtotime($k->artikel_tanggal)); ?></td>
                                        <td>
                                            <?php echo $k->artikel_judul; ?>
                                            <br/>
                                            <small class="text-muted">
                                                <?php echo base_url().$k->artikel_slug; ?>
                                            </small>
                                        </td>
                                        <td><?php echo $k->pengguna_nama; ?></td>
                                        <td><?php echo $k->kategori_nama; ?></td>
                                        <td><img width="100%" class="img-responsive" src="<?php echo base_url('gambar/artikel/'.$k->artikel_sampul); ?>"></td>
                                        <td>
                                            <?php 
                                            if($k->artikel_status=="publish"){
                                                echo "<span class='label label-success'>Di Publish</span>"; 
                                            }else{
                                                echo "<span class='label label-danger'>Tidak di Publish</span>"; 
                                            }
                                            ?>
                                        </td>
                                        <td>
                                            <a target="_blank" href="<?php echo base_url($k->artikel_slug); ?>" class="btn btn-success btn-sm"> 
                                                <i class="fa fa-eye"></i> 
                                            </a> &nbsp;

                                            <?php 
                                            // Hak akses untuk penulis
                                            if($this->session->userdata('level') == "penulis"){
                                                if($this->session->userdata('id') == $k->artikel_author){
                                                    ?>
                                                    <a href="<?php echo base_url('dashboard/edit_artikel/'.$k->artikel_id); ?>" class="btn btn-warning btn-sm"> 
                                                        <i class="fa fa-pencil"></i> 
                                                    </a> &nbsp;
                                                    <a href="<?php echo base_url('dashboard/artikel_hapus/'.$k->artikel_id); ?>" class="btn btn-danger btn-sm" onclick="return confirm('Apakah Anda yakin ingin menghapus artikel ini?');"> 
                                                        <i class="fa fa-trash"></i> 
                                                    </a> &nbsp;
                                                    <?php
                                                }
                                            }
                                            // Hak akses untuk admin
                                            elseif($this->session->userdata('level') == "admin"){
                                                ?>
                                                <a href="<?php echo base_url('dashboard/edit_artikel/'.$k->artikel_id); ?>" class="btn btn-warning btn-sm"> 
                                                    <i class="fa fa-pencil"></i> 
                                                </a> &nbsp;
                                                <a href="<?php echo base_url('dashboard/artikel_hapus/'.$k->artikel_id); ?>" class="btn btn-danger btn-sm" onclick="return confirm('Apakah Anda yakin ingin menghapus artikel ini?');"> 
                                                    <i class="fa fa-trash"></i> 
                                                </a> &nbsp;
                                                <?php
                                            }
                                            // Hak akses untuk satker
                                            elseif($this->session->userdata('level') == "satker"){
                                                if($this->session->userdata('satker_id') == $k->satker_id){
                                                    ?>
                                                    <a href="<?php echo base_url('dashboard/edit_artikel/'.$k->artikel_id); ?>" class="btn btn-warning btn-sm"> 
                                                        <i class="fa fa-pencil"></i> 
                                                    </a> &nbsp;
                                                    <a href="<?php echo base_url('dashboard/artikel_hapus/'.$k->artikel_id); ?>" class="btn btn-danger btn-sm" onclick="return confirm('Apakah Anda yakin ingin menghapus artikel ini?');"> 
                                                        <i class="fa fa-trash"></i> 
                                                    </a> &nbsp;
                                                    <?php
                                                }
                                            }
                                            ?>
                                        </td>
                                    </tr>
                                <?php } ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
